Bug 442051 - etc_runtime_t seems to be applied to files improperly
etc_runtime_t seems to be applied to files improperly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Josef Kubin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 10:31 EDT by John T. Rose
Modified: 2008-06-16 23:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John T. Rose 2008-04-11 10:31:16 EDT
Description of problem:

Files created in / and in newly created directories under / seem to get the
wrong default context applied to them. I've tested and confirmed this behavior
on both F7 and RHEL5.

Version-Release number of selected component (if applicable):

selinux-policy-2.6.4-70.fc7

How reproducible:

Create files in / and in newly created directories under /.

Steps to Reproduce:

1. # mkdir /foo; touch /foo/bar

or

1. # touch /baz

Actual results:

# ll -Z /foo/bar
-rw-r--r--  root root user_u:object_r:etc_runtime_t    /foo/bar
# ll -Z /baz
-rw-r--r--  root root user_u:object_r:etc_runtime_t    /baz

Expected results:

# restorecon /foo/bar; ll -Z /foo/bar
-rw-r--r--  root root system_u:object_r:default_t      /foo/bar

and

# restorecon /baz; ll -Z /baz
-rw-r--r--  root root system_u:object_r:default_t      /baz

Additional info:
Comment 1 Daniel Walsh 2008-04-11 12:00:48 EDT
Josef This is fixed in rawhide, BTW.


You need a transition rule for unconfined_t creating files in root_t to create
default_t directories.

Comment 2 John T. Rose 2008-04-11 12:24:03 EDT
Thanks Dan.

I'm a little confused though.

Are you saying upstream regular files created in root_t directories will be
labeled default_t now? Or just directories?

John
Comment 3 Daniel Walsh 2008-04-11 12:56:46 EDT
Just directories.

Files are currently labeled etc_runtime_t.   This is a bad name and we really
should label them something line root_flag_t, or something.  These files tend to
be boot flags that need to be created/deleted by init scripts.  So etc_runtime_t
is a type that can be created and deleted by initscripts.  But that name is not
idicative of the use.

/.autofsck, /.autorelabel ...
Comment 4 Josef Kubin 2008-04-16 12:49:21 EDT
fixed in selinux-policy-2_6_4-74_fc7
Comment 5 Bug Zapper 2008-05-14 11:25:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 23:05:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.